Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
brand_awareness
/
share_of_voice_timeseries
Market Share Trends Over Time
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_awareness/share_of_voice_timeseries \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_awareness/share_of_voice_timeseries"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_awareness/share_of_voice_timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "brand": "<string>",
    "share_of_voice": "<string>",
    "collection_date": "2023-12-25"
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

brand
string

Filter by one specific brand.

brand__in
string

Filter by a list of brands. Values should be comma separated, without brackets or spaces

collection_date
string<date>

Filter by a collection date being equal to the specified date. YYYY-MM-DD format

collection_date__gt
string<date>

Filter by a collection date being greater than the specified date. YYYY-MM-DD format

collection_date__gte
string<date>

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>

Filter by a collection date being less than the specified date. YYYY-MM-DD format

collection_date__lte
string<date>

Filter by a collection date being less than or equal the specified date. YYYY-MM-DD format

country
string

Filter by one specific country.

country__in
string

Filter by a list of countries. Values should be comma separated, without brackets or spaces

format
enum<string>
Available options:
csv,
json
limit
integer

Limit number of results.

period
enum<string>
required

Interval of the timeseries.

Available options:
day,
month,
week
persona
string

Filter by one specific persona.

persona__in
string

Filter by a list of personas. Values should be comma separated, without brackets or spaces

source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
deepseek-v3.2-maas,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
deepseek-v3.2-maas,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus

Response

brand
string
required
share_of_voice
string<decimal>
required
Pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
collection_date
string<date>
required